<?php
/* Autor...:  */
/* Esquema.: PLA_EmpleadoCargo.xml */
/* Generado: 2020-08-18 04:21:29 */

/* Metodos de acceso a los campos de la tabla PLA_EmpleadoCargo */
abstract class BasePLA_EmpleadoCargoBN
{
    /* Campos de la tabla */
    private $i_IdCargo;    // IdCargo: ( no definido )
    private $s_Descripcion;    // Descripcion: ( no definido )
    private $s_Estado;    // Estado: ( no definido )

    /* Establece el valor del campo IdCargo */
    public function setIdCargo( $i_IdCargo )
    {
        $this->i_IdCargo = $i_IdCargo;
    }

    /* Obtiene el valor del campo IdCargo */
    public function getIdCargo()
    {
        return $this->i_IdCargo;
    }

    /* Establece el valor del campo Descripcion */
    public function setDescripcion( $s_Descripcion )
    {
        $this->s_Descripcion = $s_Descripcion;
    }

    /* Obtiene el valor del campo Descripcion */
    public function getDescripcion()
    {
        return $this->s_Descripcion;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdCargo' => $this->getIdCargo(),
            'Descripcion' => $this->getDescripcion(),
            'Estado' => $this->getEstado(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto PLA_EmpleadoCargoBN desde un RecordSet */
    public static function retrieveByRs( $o_PLA_EmpleadoCargoRs )
    {
        $o_PLA_EmpleadoCargoBN = new PLA_EmpleadoCargoBN();
        $o_PLA_EmpleadoCargoBN->setIdCargo( ( integer ) $o_PLA_EmpleadoCargoRs[ "IdCargo" ] );
        $o_PLA_EmpleadoCargoBN->setDescripcion( $o_PLA_EmpleadoCargoRs[ "Descripcion" ] );
        $o_PLA_EmpleadoCargoBN->setEstado( $o_PLA_EmpleadoCargoRs[ "Estado" ] );
        return $o_PLA_EmpleadoCargoBN;
    }
}
?>